




public ArrayList<Integer> generateUniqueRandomNumbers(int min, int max, int k)
{
 
        ArrayList<Integer> list = new ArrayList<Integer>();
        for (int i=min; i<= max; i++) {
            list.add(new Integer(i));
        }
        Collections.shuffle(list);
        ArrayList<Integer> randomList = new ArrayList<Integer>();
        for (int i=0; i<k; i++) {
            randomList.add(list.get(i));
        }
        
        return randomList;
    
}




ArrayList<Review> loadReviewTags()
{
        ArrayList<Review> reviewTags = new ArrayList<Review>();
        
        String[] lines = loadStrings("reviewTagsTxt.txt");
        println("there are " + lines.length + " lines");
       // println(lines);
        for (String line: lines)
        {
            Review r = new Review(line);
            // Generate position by SOM
            reviewTags.add(r); 
            println(r.reviewTag);
        }
        
        return reviewTags;
}


ArrayList<Image> loadImagesWithTags()
{
    ArrayList<Image> images = new ArrayList<Image>();
    
    
    // Load the review Tags
    String[] imageTags = loadStrings("imageTags.txt");
    println("Number of lines: " + imageTags.length);
    HashMap<Integer, String> hm = new HashMap<Integer, String>();
    for (String line: imageTags)
    {
       String[] parts = line.split(":");
       hm.put(Integer.parseInt(parts[0]), parts[1]);
       println(parts[0]+":" + parts[1]);
        
    }
    
    // Read the images from the Images folder
    File folder = new File(imgPath);
    File[] listOfFiles = folder.listFiles();

    for (int i = 0; i < listOfFiles.length; i++) {
      if (listOfFiles[i].isFile()) {
        System.out.println("File " + listOfFiles[i].getName());
        if (i != 0) // Neglect the .DS_Store
        {
          String imgName = listOfFiles[i].getName();
          println("Image name is: " + imgName);
          String[] imgParts = imgName.split("\\.");
          Integer imgId = Integer.parseInt(imgParts[0]);
          String imgTag = (hm.containsKey(imgId))? hm.get(imgId): "";
          
          println("Image:" + imgName + " : " + imgId);
          println("Image tag is: " + imgTag);
          
          // Generate a new Image Object
          Image img = new Image(imgName, imgTag);
          images.add(img);
          
          
        }
      }
    }
    
    
    
    
    
    return images;
}